Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

# Class AmountRangeBoundary1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_03.AmountRangeBoundary1

public class AmountRangeBoundary1 extends Object

Java class for AmountRangeBoundary1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmountRangeBoundary1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BdryAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ImpliedCurrencyAndAmount"/>
             <element name="Incl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}YesNoIndicator"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BigDecimal`
`bdryAmt`
`protected boolean`
`incl`

## Constructor Summary

Constructors
Constructor
Description
`AmountRangeBoundary1()`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getBdryAmt()`
Gets the value of the bdryAmt property.
`boolean`
`isIncl()`
Gets the value of the incl property.
`void`
`setBdryAmt(BigDecimal value)`
Sets the value of the bdryAmt property.
`void`
`setIncl(boolean value)`
Sets the value of the incl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bdryAmt

protected BigDecimal bdryAmt

### incl

protected boolean incl

## Constructor Details

### AmountRangeBoundary1

public AmountRangeBoundary1()

## Method Details

### getBdryAmt

public BigDecimal getBdryAmt()
Gets the value of the bdryAmt property.

Returns:
  possible object is `BigDecimal`

### setBdryAmt

public void setBdryAmt(BigDecimal value)
Sets the value of the bdryAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`

### isIncl

public boolean isIncl()
Gets the value of the incl property.

### setIncl

public void setIncl(boolean value)
Sets the value of the incl property.